Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class FindRelationTypesRequest

Object
PagedRequest
FindRelationTypesRequest

All Implemented Interfaces:
  `Serializable`

public class FindRelationTypesRequest extends PagedRequest
The search criteria for Relation Types.

Only parameters that are specified in this request and do not have `null` values are used for filtering. All other parameters are ignored.

The returned Relation Types satisfy all constraints that are specified in these search criteria.

By default, a result containing at most 1000 Relation Types is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindRelationTypesRequest.Builder`
  `static enum`
  `FindRelationTypesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindRelationTypesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRelationTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCoRole()`
  The name of the role that the target plays to search for.
  `String`
  `getRole()`
  The name of the role that the source plays to search for.
  `LogicalOperator`
  `getRoleCoRoleLogicalOperator()`
  The logical operator determining how to combine the role and coRole criteria: AND or OR.
  `FindRelationTypesRequest.SortField`
  `getSortField()`
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  The order of sorting.
  `UUID`
  `getSourceTypeId()`
  The ID of the source type of the Relation Type to search for.
  `String`
  `getSourceTypeName()`
  The name of the source type of the Relation Type to search for.
  `UUID`
  `getTargetTypeId()`
  The ID of the target type of the Relation Type to search for.
  `String`
  `getTargetTypeName()`
  The name of the target type of the Relation Type to search for.
  `int`
  `hashCode()`
  `void`
  `setCoRole(String coRole)`
  The name of the role that the target plays to search for.
  `void`
  `setRole(String role)`
  The name of the role that the source plays to search for.
  `void`
  `setRoleCoRoleLogicalOperator(LogicalOperator roleCoRoleLogicalOperator)`
  The logical operator determining how to combine the role and coRole criteria: AND or OR.
  `void`
  `setSortField(FindRelationTypesRequest.SortField sortField)`
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting.
  `void`
  `setSourceTypeId(UUID sourceTypeId)`
  The ID of the source type of the Relation Type to search for.
  `void`
  `setSourceTypeName(String sourceTypeName)`
  The name of the source type of the Relation Type to search for.
  `void`
  `setTargetTypeId(UUID targetTypeId)`
  The ID of the target type of the Relation Type to search for.
  `void`
  `setTargetTypeName(String targetTypeName)`
  The name of the target type of the Relation Type to search for.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindRelationTypesRequest

    public FindRelationTypesRequest()

- ## Method Details

  - ### builder

    public static FindRelationTypesRequest.Builder builder()

  - ### getSourceTypeId

    public UUID getSourceTypeId()
    The ID of the source type of the Relation Type to search for.

  - ### getSourceTypeName

    public String getSourceTypeName()
    The name of the source type of the Relation Type to search for.

  - ### getRole

    public String getRole()
    The name of the role that the source plays to search for.

  - ### getTargetTypeId

    public UUID getTargetTypeId()
    The ID of the target type of the Relation Type to search for.

  - ### getTargetTypeName

    public String getTargetTypeName()
    The name of the target type of the Relation Type to search for.

  - ### getCoRole

    public String getCoRole()
    The name of the role that the target plays to search for.

  - ### getSortField

    public FindRelationTypesRequest.SortField getSortField()
    The field that should be used as reference for sorting.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting.

  - ### getRoleCoRoleLogicalOperator

    public LogicalOperator getRoleCoRoleLogicalOperator()
    The logical operator determining how to combine the role and coRole criteria: AND or OR.

  - ### setSourceTypeId

    public void setSourceTypeId(UUID sourceTypeId)
    The ID of the source type of the Relation Type to search for.

  - ### setSourceTypeName

    public void setSourceTypeName(String sourceTypeName)
    The name of the source type of the Relation Type to search for.

  - ### setRole

    public void setRole(String role)
    The name of the role that the source plays to search for.

  - ### setTargetTypeId

    public void setTargetTypeId(UUID targetTypeId)
    The ID of the target type of the Relation Type to search for.

  - ### setTargetTypeName

    public void setTargetTypeName(String targetTypeName)
    The name of the target type of the Relation Type to search for.

  - ### setCoRole

    public void setCoRole(String coRole)
    The name of the role that the target plays to search for.

  - ### setSortField

    public void setSortField(FindRelationTypesRequest.SortField sortField)
    The field that should be used as reference for sorting.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting.

  - ### setRoleCoRoleLogicalOperator

    public void setRoleCoRoleLogicalOperator(LogicalOperator roleCoRoleLogicalOperator)
    The logical operator determining how to combine the role and coRole criteria: AND or OR.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`